Readme File for makertf version 1.02.

Copyright (C) 1994, 1995 Christian Schenk

Permission is granted to make and distribute verbatim copies of this file provided the copyright notice and this permission notice are preserved on all copies.

Permission is granted to copy and distribute modified versions of this file under the conditions for verbatim copying, provided that the entire resulting derived work is distributed under the terms of a permission notice identical to this one.

Permission is granted to copy and distribute translations of this manual into another language, under the above conditions for modified versions, except that this permission notice may be stated in a translation approved by the Free Software Foundation.


makertf
Node: Top, Next: What is makertf?, Prev: (dir), Up: (dir)

makertf

This is the Readme File for makertf version 1.02.

* Menu:

What is makertf?	What is makertf?

makertf Invocation	How to Run makertf

Help Project Files	Help Project Files

makertf limits	makertf Limititations

Help Compiler Limits	Help Compiler Limititations

Makeinfo patches	Changes to 'makeinfo.c'

Getting makeinfo	How to get makeinfo

Copying	Distributing makertf

Author	Where to send comments


What is makertf?
Node: What is makertf?, Next: makertf Invocation, Prev: Top, Up: Top

What is makertf?

makertf is a program for converting "Texinfo" files into "Rich Text Format" (RTF) files. The Windows Help Compiler takes RTF files as input. Therefore you can use makertf to convert Texinfo documents into Windows Help Files. It is assumed that you are somewhat familiar with the Texinfo documentation system.

makertf is based on makeinfo, which is a part of the Texinfo documentation system.


How to Run makertf
Node: makertf Invocation, Next: Help Project Files, Prev: What is makertf?, Up: Top

How to Run makertf

makertf accepts most of the command line options available for makeinfo. Here is a list of the most common options (extracted from the makeinfo manual):

-D var

Cause var to be defined.  This is equivalent to @set var in the Texinfo file.

-I dir

Add dir to the directory search list for finding files that are included using the @include command.  By default, makertf searches only the current directory.

--output file

-o file

Specify that the output should be directed to file and not to the file name specified in the @setfilename command found in the Texinfo source.  file can be the special token '-', which specifies standard output.

--verbose

Cause makertf to display messages saying what it is doing.  Normally, makertf only outputs messages if there are errors or warnings.

--version

Report the version number of this copy of makertf.

For example, the next command converts the Texinfo file 'makertf.texi' into the RTF file 'makertf.hlp':

makertf -o makertf.rtf makertf.texi


Help Project Files
Node: Help Project Files, Next: makertf limits, Prev: makertf Invocation, Up: Top

Help Project Files

The Windows Help Compiler reads its input from a so-called "Help Project File" (HPJ File). An HPJ File contains (among other things) the name of an RTF file, the title of the Help File and the context string of the contents topic.

For example, this is the HPJ File for 'makertf.hlp':

[options]
title=Readme File for Makertf 1.02
compress=yes
contents=top

[files]
makertf.rtf

The Help file can then be compiled with the command 'hc31 makertf'.  See the documentation for the Windows Help Compiler for detail information.


makertf Limititations
Node: makertf limits, Next: Help Compiler Limits, Prev: Help Project Files, Up: Top

makertf Limititations

The current version of makertf produces garbage if the Texinfo source contains a node command (@top or @node) which is not followed by any of the sectioning commands (@unnumberedsec, @section, ...).


Help Compiler Limititations
Node: Help Compiler Limits, Next: Makeinfo patches, Prev: makertf limits, Up: Top

Help Compiler Limititations

It may happen that the Windows Help Compiler aborts when the RTF file is very large. For example, when you try to compile the GCC Manual, hc31 gives up with the message 'Paragraph exceeds limit of 64K'.  When you see this message, you have to shorten the paragraph in question.


Changes to 'makeinfo.c'
Node: Makeinfo patches, Next: Getting makeinfo, Prev: Help Compiler Limits, Up: Top

Changes to 'makeinfo.c'

Changes to the source code of makeinfo are listed in the file 'makertf.pat', which is distributed together with makertf. If you have the Patch Utilty, then you can apply the patches with the following command (provided file 'makeinfo.c' is in the current directory):

patch < makertf.pat


How to get makeinfo
Node: Getting makeinfo, Next: Copying, Prev: Makeinfo patches, Up: Top

How to get makeinfo

makeinfo (on which makertf is based) is part of the Texinfo documentation system.  You can get Texinfo from host 'prep.ai.mit.edu' using anonymous FTP.


Distributing makertf
Node: Copying, Next: Author, Prev: Getting makeinfo, Up: Top

Distributing makertf

makertf is free software within the meaning of the GNU General Public License (see the file 'COPYING').


Where to send comments
Node: Author, Next: , Prev: Copying, Up: Top

Where to send comments

Please send suggestions and bug reports to the following address:

Christian Schenk
Richard-Wagner-Str. 49
10585 Berlin
Germany

e-mail: cschenk@gs.detewe.de (Internet)